• /
  • ログイン
  • 無料アカウント

CSP v2 error: Inline JavaScript not allowed

Problem

You are attempting to install New Relic's Browser agent using the auto-injection or copy/paste method. You see an error message indicating that inline scripts cannot run on the page.

Solution

In order to install the New Relic Browser agent when your website does not allow any third-party hosted JavaScript to run, you must request a CSP exception:

  1. Follow your organization's standard procedures to contact your web or security team and request an exception.
  2. Follow New Relic's procedures to install the Browser agent for CSP.

If your organization has a strict process that prohibits CSP exceptions, get support at support.newrelic.com to discuss other options.

Cause

Content Security Policy v2 adds restrictions to the types of JavaScript allowed (such as inline scripts). It also limits which domains can load scripts during page load.

CSP has multiple levels of complexity. Depending on how it is applied to your pages, it will impact how the Browser agent runs.

その他のヘルプ

さらに支援が必要な場合は、これらのサポートと学習リソースを確認してください:

問題を作成するこのページを編集する
Copyright © 2020 New Relic Inc.